                                                PROGRAM

                                                MAP
                                                END

    include('CML_UI_ListCheckbox.inc'),once
    !include('CML_System_Diagnostics_Logger.inc'),once

!dbg                                     CML_System_Diagnostics_Logger


ListCheckbox                                    CML_UI_ListCheckbox
x                                               long

CheckboxQueue                                   queue
!FirstField                                          long
Checked                                             bool
CheckedIcon                                         long
CheckedText                                         string(30)
                                                end

WINDOW                                          WINDOW('UITest'),AT(,,205,241),GRAY,FONT('Microsoft Sans Serif',8)
                                                    LIST,AT(21,12,161,185),USE(?List),VSCROLL,FROM(CheckboxQueue), |
                                                        FORMAT('14L(2)|M~X~100L(2)|M~Text~')
                                                    BUTTON('Check All'),AT(21,202,47,14),USE(?ButtonCheckAll)
                                                    BUTTON('Uncheck All'),AT(79,202,47,14),USE(?ButtonUncheckAll)
                                                    BUTTON('Close'),AT(137,202,47),USE(?ButtonClose),STD(STD:Close)
                                                END

    CODE
    loop x = 1 to 100
        clear(CheckboxQueue)
        !CheckboxQueue.FirstField = x * 10
        CheckboxQueue.CheckedIcon = random(1,2)
        CheckboxQueue.CheckedText = 'String ' & x
        add(CheckboxQueue)
    end
    open(window)
    !ListCheckbox.Initialize(CheckboxQueue,CheckboxQueue.CheckedIcon,?List,2)
    ListCheckbox.Initialize(CheckboxQueue,CheckboxQueue.CheckedIcon,?List)
    accept
        case selected()
        of ?ButtonCheckAll
            ListCheckbox.CheckAll()
            display()
        of ?ButtonUncheckAll
            ListCheckbox.UncheckAll()
            display()
        end
    end
    close(window)
    
    
